Package org.apache.lucene.util.hnsw

# Interface RandomVectorScorerSupplier

All Known Subinterfaces:
  `CloseableRandomVectorScorerSupplier`

All Known Implementing Classes:
  `ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier`

public interface RandomVectorScorerSupplier
A supplier that creates `RandomVectorScorer` from an ordinal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RandomVectorScorerSupplier`
  `copy()`
  Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
  `UpdateableRandomVectorScorer`
  `scorer()`
  This creates a `UpdateableRandomVectorScorer` for scoring random nodes in batches against an ordinal.

- ## Method Details

  - ### scorer

    UpdateableRandomVectorScorer scorer() throws IOException
    This creates a `UpdateableRandomVectorScorer` for scoring random nodes in batches against an ordinal.
    Returns:
      a new `UpdateableRandomVectorScorer`
    Throws:
      `IOException`

  - ### copy

    RandomVectorScorerSupplier copy() throws IOException
    Make a copy of the supplier, which will copy the underlying vectorValues so the copy is safe to be used in other threads.
    Throws:
      `IOException`